<?php

//$cekid = new cekID();
//$jmldata = $cekid->Cek($tb_siswa, 'id', $g37i4);
//
//if ($g37i4 == "" || $jmldata == 0) {
//    echo "<script>  
//                document.location.href='./?p463=4f4a/dcbf8c6f66dcfc8a3282ac2bf10a';
//            </script>";
//};
date_default_timezone_set('Asia/Jakarta');
$tanggal = mktime(date("m"), date("d"), date("Y"));
$tglsekarang = date("d-m-Y", $tanggal);
$tahunnow = date("Y", $tanggal);

if (isset($_POST['tahun'])) {
    $tahun = $_POST['tahun'];
} else {
    $tahun = $tahunnow;
};
$tahun1 = substr($tahun, 0, 4);
$tahun2 = substr($tahun, 5, 4);

$tahun_tabel = substr($tahun, 2, 2) . substr($tahun, 7, 2);

$tb_siswa = "tb_siswa" . $tahun_tabel;
$tb_transaksi = "db_transaksi" . $tahun_tabel;
$tb_detailakun = "detail_akun" . $tahun_tabel;
$tb_setor = "setor_kjks" .  $tahun_tabel;
$tb_transaksisim = "sim_transaksi" . $tahun_tabel;

//----------


if (isset($_POST['jenis']) && $_POST['jenis'] != 'Semua') {
    $jenis_lap = $_POST['jenis'];
} else {
    $jenis_lap = "Semua";
};
if (isset($_POST['jenjang'])  && $_POST['jenjang'] != 'Semua') {
    $jenjang_lap = $_POST['jenjang'];
    $jenjang_post = $_POST['jenjang'];
    $aktifjenis = "";
} else {
    $jenjang_lap = "Semua";
    $jenjang_post = "Semua";
    $aktifjenis = "disabled";
};
if (isset($_POST['paralel'])  && $_POST['paralel'] != 'Semua') {
    $paralel_lap = $_POST['paralel'];
} else {
    $paralel_lap = "Semua";
};

if (isset($_POST['status'])  && $_POST['status'] != 'Semua') {
    $status_lap = $_POST['status'];
} else {
    $status_lap = "Semua";
};

//--

$optVal = new Lembaga();

if (isset($_POST['bulan1'])) {
    $bulan1 = $_POST['bulan1'];
    $v_bulan1 = $optVal->ValPeriode($bulan1, $tahun1, $tahun2);
} else {
    $bulan1 = 1;
    $v_bulan1 = "-- Pilih Bulan Awal --";
};

if (isset($_POST['bulan2'])) {
    $bulan2 = $_POST['bulan2'];
    $v_bulan2 = $optVal->ValPeriode($bulan2, $tahun1, $tahun2);
} else {
    $bulan2 = 1;
    $v_bulan2 = "-- Pilih Bulan Akhir --";
};
$jml_bulan = @($bulan2 - $bulan1) + 1;


if ($jml_bulan == 1) {
    $periode = $v_bulan1;
    $jml_bulan = 1;
} elseif ($jml_bulan < 1) {
    $periode = "-##-";
    $jml_bulan = 1;
} else {
    $periode = $v_bulan1 . " - " . $v_bulan2;
    $jml_bulan = $jml_bulan;
};

$dt_jenis = new namaBayar();
$showJenis = $dt_jenis->shownamaBayar($tahun, $jenis_lap, $jenjang_lap);
$count_nb = $showJenis->rowCount();
$datajenis = $showJenis->fetch(PDO::FETCH_OBJ);
if ($count_nb > 0) {
    $namaBayar = $datajenis->nama;
} else {
    $namaBayar = "Semua";
};


?>
<style>
    .fontInput {
        font-size: 11px;
        font-family: arial;
    }

    .fontJudul {
        font-size: 12px;
        font-family: arial;
        color: dodgerblue;
        background: #000;

    }
</style>
<script>
    function formatNumber(num) {
        return num.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1.')
    }
</script>

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">

    <?php require('./layout/headerpage.php'); ?>

    <div class="container col-12 mb-4 pb-5">
        <div class="row mt-3">
            <div class="col-12">
                <div class="col-12">
                    <div class="card  mx-3">
                        <div class="timeline-header bg-primary py-2 pl-2">
                            <b class="text-light judul"><span class="bi bi-printer"></span> Cetak Laporan Siswa</h4>
                        </div>
                        <div class="card-body mb-1">
                            <div class="row mx-3 mt-0">
                                <div class="col-md-12">

                                    <div class="col-12 d-inline pl-2">
                                        <button onclick="frames['cetak'].print()" name="submit" class="btn btn-primary btn-xs mb-2 btn-rounded small px-2"> <i class="bi bi-printer"></i> CETAK</button>
                                        <a <?php echo $link->page('laporan/bulanan/laporan_bulanan'); ?> class="btn btn-primary btn-xs mb-2 btn-rounded small px-2"> <i class="bi bi-arrow-left-square"></i> KEMBALI</a>
                                        <?php echo $link->exportXlsxLapBulanan('laporan/bulanan/print_excel', $tahun,  $jenjang_post, $paralel_lap, $status_lap, $jenis_lap, $bulan1, $bulan2); ?>
                                    </div>

                                    <div class='col-md-12 pl-3 ml-2' style='background:#c3c3c3;  padding-top:50px; padding-bottom:50px'>
                                        <div class="mb-2" style='background:#fff; width:80%; margin:0 auto; padding:5px; height:1200px;'>
                                            <div class=''>
                                                <div style='background:#fff; width:100%;  border:0; height:900px;'>
                                                    <iframe name='cetak' src='view/laporan/bulanan/print.php?tahun=<?php echo $tahun; ?>&jenis=<?php echo $jenis_lap; ?>&jenjang=<?php echo $jenjang_post; ?>&paralel=<?php echo $paralel_lap; ?>&status=<?php echo $status_lap; ?>&bulan1=<?php echo $bulan1; ?>&bulan2=<?php echo $bulan2; ?>' style='border:0; padding:30px; width:100%; height:1200px;'></iframe>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>